現在位置: 首頁 > Python, 茶包專欄 > 正文

茶包專欄 pip 安裝 M2Crypto 失敗:swig error : Unrecognized option -builtin

今天在用 pip 安裝 M2Crypto 的時候遇到安裝失敗,錯誤訊息提示:

 

swig 找不到 -builtin 參數,grep 了一下 help 確實沒有,發現 CentOS 6 中內建的 swig 版本是 1.3.40-6,但目前的 swig 版本已經升到 3.0.10,也太舊了!!

 

從 repo 套件上是找不到升級版本的,索性直接 compiler 使用

 

安裝 swig,官方最新版本下載

 

驗證 swig 版本

 

pip 安裝 M2Crypto

搞定!

 

 

如果你在編譯 swig 的時候出現錯誤

 

代表你少了 pcre Library

 

 

 

 

文章連結: https://shazi.info/%e8%8c%b6%e5%8c%85%e5%b0%88%e6%ac%84-pip-%e5%ae%89%e8%a3%9d-m2crypto-%e5%a4%b1%e6%95%97%ef%bc%9aswig-error-unrecognized-option-builtin/ | Mr. 沙先生

該文章由 shazi7804 於2016年06月16日發表在 Python, 茶包專欄 分類下, 你可以發表回文,並在保留原文地址及作者的情况下引用到你的網站或部落格。
原文轉載請註明: 茶包專欄 pip 安裝 M2Crypto 失敗:swig error : Unrecognized option -builtin | Mr. 沙先生
標籤: , ,

茶包專欄 pip 安裝 M2Crypto 失敗:swig error : Unrecognized option -builtin:給Mr.沙先生一點建議

發表回文